ASP 2.0/3.5: How to get Visual Studio Web Developer 2008 Express Edition to use ASP.NET 2.0 rather than 3.5?

Hello,

 my ISP only supports ASP.NET 2.0. I am using VS Web Dev 2008 Express Edition. I have read somewhere that one can set the IDE to 'target' asp.net 2.0 or 3.5.

I can't find this setting anywhere on the menu's. How does one do that?

The code I am writing works fine so far. I am worried that I may use a 3.5 feature that is not supported. Thus I want to make sure my code is 2.0 compliant before I upload it.

Regards

Khalid

London
 

0
kakram
9/14/2008 2:21:41 PM
asp.net.web-dev-2008-express 1205 articles. 0 followers. Follow

1 Replies
643 Views

Similar Articles

[PageSpeed] 31

You can do this by right click on the project which you want to run as 2.0, and select properties,

In properties you can find Target Framework, from here you can change the Framework Version.


Please remember to click “Mark as Answer” on the post that helps you

Best Regards
Brij Mohan
http://www.dotnetglobe.com
0
mohanbrij
9/14/2008 3:26:35 PM
Reply:

Similar Artilces:

Using Visual Web Developer 2008 Express edition bata 2 I am unable to connect to a SQL compact 3.5 database.
Using Visual Web Developer 2008 Express edition bata 2 I am unable to connect to a SQL compact 3.5 database. When using the Choose Data Source wizard the option to connect to a SQL Compact 3.5 data base is not presented as one of the options.  When I drag and drop the database file NorthWind.sdf to the solution explorer I receive the following message "The data provider required to connect to the local file could not be found.  The file will be added to the project but the typed DataSet associated with the file will not be generated." As a beginning programer I am stump...

Application created in new version of .NET (3.0 or 3.5) can use the library created in older version of .NET(i.e.-1.0 or 2.0)?
Hi All, I am using Visual Studio .NET compiler for compiling my application . We have plugins (as library) which the user can write by their own in .NET . We are building our code in Visual Studio 2005 but we have already some plug-ins which are written in previous versions of Visual Studio (i.e. 2002 and 2003). Is these plug-ins will work with the new build of the application or I need to build these plug-ins as well in Visual Studio .NET 2005. These plugins are created as library. Is their any differences between .NET 1.0, 2.0 and 3.0 because of which the old libraries (created in o...

machine.config problem after installing .net 3.5 and visual web developer 2008 express
 I had asp.net 2.0 and visual web developer 2005 installed on my windows xp computer. I then installed .net 3.5 and visual web developer 2008 express on the same computer with out uninstalling .net 2.0 and VWD 2005 express and did not encounter any errors during installation. Problem is, i can no longer run any project.When i create a web site in visual web developer 2008 and click "start Debugging" i get the error message below"C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\Config\machine.config(138): Build (web): Unrecognized configuration section system.serviceModel.&qu...

Hosting provider only supports .net 2.0 but I developed site in .net 3.5 with Visual Studios '08
Is there a way to develop in .net 2.0? My hosting provider only supports .net version 2.0 & I'm using VS '08....  & is creating a site with .net 3.5? I have several .net versions installed, but how do I know, how can I use .net 2.0? Right click on the project, choose Properties and specify 2.0 as a target framework.Thanks------------------------------------------------------------This posting is provided "AS IS" with no warranties, and confers no rights. That was easy...  THANKS!  ...

Hosting provider only supports .net 2.0 but I developed site in .net 3.5 with Visual Studios '08
I developed a simple site in VS '08 & it's not working on the www after uploading to my hosting provider.  I called technical support & they told me that they only support .net version 2.0 & that my site wasn't displaying b/c I had developed it with .net version 3.5. I understand that the newest versions are built on the previous...  But how do I develop this correctly so that it will work on the www? I don't need to worry about converting what I've already created.  It's just a test page displaying a picture so I can start from scrat...

How to upgrade .net 2.0 to .net 3.5 in vs 2008
Hi, I did not upgrade .net2.0 to .net 3.5 when I first open vs 2008. but, I now want to upgrade it to 3.5. can someone tell me how to do it in vs 2008? where can open the wizard window again to upgrade?thanks. Xiuxian      Hi, All you have to do is open the .sln or project file of VS 2005 in VS2008. File > Open > Solution. The VS 2008 Conversion Wizard will ask you to upgrade. HTH,Suprotim Agarwal  ASP.NET Grid With Excel Capabilities | 27 GridView Tips & Tricks | Hosting your site? | SQL Server Tips I would imagine you could just in...

How to use Visual Web Developper 2008 Express Edition with Visual C# 2008 Express Edition for n-tier development
Can these products be bundled when working in a n-tier project? What are the best practise methods? Or is moving to Visual Studio 2008 Standard Editon the solution? In most cases you will find all you need is in VWD 2008, If you install SP1 then you can compile class libraries now as well, so less need for c#2008. Also you might find this good to read http://imar.spaanjaars.com/QuickDocId.aspx?quickdoc=416 Hope it helpsRegardsJeremyIf this has helped Please: Don't forget to click "Mark as Answer" on the post that helped you.That way future readers will know which post solve...

Develop in .NET 3.5...Deploy on .NET 3.0...Assembly strong name issue in web.config
Hi. I develop locally using web developer express 2008. I have .NET 3.5 installed on the development machine.I am trying to deploy to a Windows Server 2003 machine running.NET 3.0.Not surprisingly, I get an error about the strong assembly names referenced all over my web.config when I try to access the site on the production server.I don't think any of my code truly relies on .NET 3.5--it should all be compatible with the 3.0 framework.Here's my error message:Parser Error Message: Could not load file or assembly 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77...

Importing web parts from sharepoint services 3.0 to visual web developer express 2008
I need to know If there is a way to import the list web parts from a sharepoint server that we have onsite (running WSS 3.0) to another website not associated with sharepoint but on the same server. Im very new to sharepoint and these forums. I have worked with visual web developer 2008 express for a while now. I am pretty good with asp.net programming and i do have a copy of microsoft office sharepoint designer 2007. Can anyone elaborate on this situation....

new features for Visual Studio 2008 and .Net FrameWork 3.0 &3.5
Hi,    What are the new features for Visual Studio 2008 and .Net FrameWork 3.0 &3.5  There are many of them. Pleas check the links below for a list of them.http://weblogs.asp.net/scottgu/http://www.vikramlakhotia.com/AspNet_3X.aspx Vikram www.vikramlakhotia.comPlease mark the answer if it helped you...

Only .NET 3.5 installed but web apps can only use 2.0
Image below shows exactly what my problem is. Why can't I select 3.5 in the list when it's the only version I have installed?I downloaded 3.5 again and selected repair but the problem remains. Saturday3AM:Why can't I select 3.5 in the list when it's the only version I have installed? Because 3.5 uses the 2.0 framework.  You can't select a version, only the framework version, which is still 2.0.  Blame Microsoft for confusing numbers.  :) JeffPlease: Don't forget to click "Mark as Answer" on the post that helped you. That way future...

Visual Web Developer 2005 express edition and Datawindow.net 2.0
I am using Visual Web Developer 2005 express edition and Datawindow.net 2.0. They seem to be working pretty well together except for one thing. I can't update the database with the updatedata command. I can insert, delete, filter and sort just fine but updating is a problem. I am unable to drag the transaction object over from the toolbox even though it is there. The transaction object is available but it is grayed out. I coded a transaction object manually for all of the other database updates which worked just fine. I tried the same process for updating and it did not work. D...

Web Parts Drag and Drop not working in Firefox 2.0.0.12 with .NET 3.5
Hi, I'm just starting with web parts and completed the simple walkthrough from MSDN. I then tried to view my demo in Firefox, and the drag and drop features don't work. So I started researching and found several posts on this forum which discussed it. However, most of them are several months old, and refer to some combination of AJAX 1.0 / .NET 2.0, AJAX CTP / AJAX RTM / etc.  The posts seem to indicate that Firefox support was definitely added at some point in the past, so I'd expect it to be available in 3.5 (since AJAX is built in, and I assume 3.5 would contain a...

Silverlight 2.0 beta and Visual Web Developer 2008 Express Edition SR1
I'm trying to install the silverlight 2.0 developers tools for VWD 2008 Express SR1 and I getting this error                                     An Error Has Occurred: Silverlight Tools cannot be installed because one or more of the following conditions is true: 1. Visual Studio 2008 RTM is not installed. 2. The Web Authoring feature of Visual Studio is not installed. 3. A previous version of the Silverlight Runtime is installed. 4. A previous version of the Silverlight SDK...

Differences between .net 1, .net 1.1, .net 2.0 and .net 3.0 #2
Hi, This seems to be a common question, but i havent got an answer yet:(Can, any one please explain me the differences between these versions.If you keep your feet firmly on the ground, you'll have trouble putting on your pants! There are too many differences for one email - - from 1.0 to 1.1 (not a whole lot of real change, other than fixes, at least compared to 1.1 to 2.0) With 2.0, there were many new declarative controls, with many new ideas added in With 3.0, it's a superset of 2.0 - instead of replacing the installation completely, it just 'added on' new functionality - I would...

Web resources about - ASP 2.0/3.5: How to get Visual Studio Web Developer 2008 Express Edition to use ASP.NET 2.0 rather than 3.5? - asp.net.web-dev-2008-express

Dungeons and developers
Have you ever wanted to learn web development or just refine your webdev skills? Dungeons and Developers gives your quest for knowledge a role ...

Pixel (game developer) - Wikipedia, the free encyclopedia
Amaya's other work includes the game Ikachan which he released in 2000, as well as many other low-profile games. He is currently developing a ...

Apple announces it will discontinue iAd App Network for developers on June 30th
On its developer news blog, Apple has announced that it is closing the iAd App Network on June 30th. Targeted at smaller publishers, the iAd ...

How malware developers could bypass Mac’s Gatekeeper without really trying
(credit: Patrick Wardle) In September, Ars reported a drop-dead simple exploit that completely bypassed an OS X security feature known as Gatekeeper ...

How dying baby salmon inspired these developers to build a better building for Tableau
When they go to work in their new Seattle office building in 2017, Tableau Software (NYSE: DATA) employees who commute by bicycle will be able ...

Create promo codes for your apps and in-app products in the Google Play Developer Console
Posted by Yoshi Tamura, Product Manager, Google Play Over the past six months, a number of new tools in the Google Play Developer Console have ...

Bitcoin has 'failed,' says one of its most prominent developers
A disillusioned high-profile developer has quit bitcoin — claiming in an explosive blog post that the "experiment ... has failed." Mike Hearn ...

Microsoft offers developers free tools for its R programming language software
Microsoft is giving developers and students a free crack at its new server software for the R programming language. [ Want to learn R? Download ...

Watch app developer won’t sleep until vets with PTSD can
A watch app developed by the son of an Iraq war veteran could help veterans with post-traumatic stress disorder finally get good sleep.

Judge Denies Developer's Bid to Overturn Landmark Status of UES Buildings
A State Supreme Court judge denied an owner's request to overturn landmark status on two buildings. UPPER EAST SIDE — A developer ...

Resources last updated: 1/18/2016 10:39:32 AM